summaryrefslogtreecommitdiffstats
path: root/libraries/gtksourceview
diff options
context:
space:
mode:
author Michiel <michiel@slackbuilds.org>2010-05-12 17:40:52 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:40:52 +0200
commit838caecd719fc944d5a8f7039a265ffaaf7d74e1 (patch)
tree23e3213f48eeeb8868efd1e2e8da976416d106a5 /libraries/gtksourceview
parentc7209909200f48c4a2f191c4e7a1e529590c6553 (diff)
downloadslackbuilds-838caecd719fc944d5a8f7039a265ffaaf7d74e1.tar.gz
slackbuilds-838caecd719fc944d5a8f7039a265ffaaf7d74e1.tar.xz
libraries/gtksourceview: Updated for version 2.6.0
Diffstat (limited to 'libraries/gtksourceview')
-rw-r--r--libraries/gtksourceview/README1
-rw-r--r--libraries/gtksourceview/gtksourceview.SlackBuild18
-rw-r--r--libraries/gtksourceview/gtksourceview.info8
-rw-r--r--libraries/gtksourceview/slack-desc8
4 files changed, 21 insertions, 14 deletions
diff --git a/libraries/gtksourceview/README b/libraries/gtksourceview/README
index 0a8ec30be4..50bc5ddb9c 100644
--- a/libraries/gtksourceview/README
+++ b/libraries/gtksourceview/README
@@ -2,4 +2,3 @@ GtkSourceView is a portable C library that extends the standard GTK+
framework for multiline text editing with support for configurable
syntax highlighting, unlimited undo/redo, UTF-8 compliant caseless
searching, printing and other features typical of a source code editor.
-
diff --git a/libraries/gtksourceview/gtksourceview.SlackBuild b/libraries/gtksourceview/gtksourceview.SlackBuild
index cb50e52afd..f1c6da3d27 100644
--- a/libraries/gtksourceview/gtksourceview.SlackBuild
+++ b/libraries/gtksourceview/gtksourceview.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for gtksourceview
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gtksourceview
-VERSION=${VERSION:-2.2.2}
+VERSION=${VERSION:-2.6.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,10 +36,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -61,16 +64,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/gtksourceview/gtksourceview.info b/libraries/gtksourceview/gtksourceview.info
index 6be19ab2a5..d9b777fa8b 100644
--- a/libraries/gtksourceview/gtksourceview.info
+++ b/libraries/gtksourceview/gtksourceview.info
@@ -1,8 +1,8 @@
PRGNAM="gtksourceview"
-VERSION="2.2.2"
+VERSION="2.6.0"
HOMEPAGE="http://projects.gnome.org/gtksourceview/"
-DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/2.2/gtksourceview-2.2.2.tar.gz"
-MD5SUM="91f8743c73eeb3a4f49b96ce4a0ac42d"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/2.6/gtksourceview-2.6.0.tar.gz"
+MD5SUM="7d3be2c9463c10dc2ce74b716ffd6400"
MAINTAINER="Michiel"
EMAIL="michiel@slackbuilds.org"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero,rworkman"
diff --git a/libraries/gtksourceview/slack-desc b/libraries/gtksourceview/slack-desc
index d4bbf08855..cad3197cab 100644
--- a/libraries/gtksourceview/slack-desc
+++ b/libraries/gtksourceview/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-gtksourceview: gtksourceview (C library for multiline text editing)
-gtpsourceview:
+gtksourceview: gtksourceview (a GTK+ framework for source code editing)
+gtksourceview:
gtksourceview: GtkSourceView is a portable C library that extends the standard
-gtksourceview: GTK+ framework for multiline text editing with support for
+gtksourceview: GTK+ framework for multiline text editing with support for
gtksourceview: configurable syntax highlighting, unlimited undo/redo, UTF-8
gtksourceview: compliant caseless searching, printing and other features
gtksourceview: typical of a source code editor.
gtksourceview:
-gtksourceview: Homepage: http://projects.gnome.org/gtksourceview/
gtksourceview:
+gtksourceview: Homepage: http://projects.gnome.org/gtksourceview/
gtksourceview: